Bug 24516 - Column Configuration does not hide Return Date
Summary: Column Configuration does not hide Return Date
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 12166
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-25 14:49 UTC by Kelly McElligott
Modified: 2020-03-18 11:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This fixes an issue where hiding the return date column for the "Pay Fines" and "Account Fines" screens does not work.
Version(s) released in:
20.05.00, 19.11.04. 19.05.09


Attachments
Bug 24516: Add account_type to the columns settings on boraccount (756 bytes, patch)
2020-02-03 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24516: Add account_type to the columns settings on boraccount (805 bytes, patch)
2020-02-03 20:31 UTC, David Nind
Details | Diff | Splinter Review
Bug 24516: Add account_type to the columns settings on boraccount (863 bytes, patch)
2020-02-09 10:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-01-25 14:49:10 UTC
There are two tables within the Patron module (in column configuration) that work with the Accounting portion of Koha. "Pay Fines" and "Account Fines" - both of these tables present the user with hiding a specific column found in these areas within the Accounting screens, however, attempting to hide "Return Date" in either/both of these tables does not work. 

To recreate:t

1. Go to Column Configuration.
2. Choose Patrons
3. Choose either Pay Fines or Account Fines table
4. Hide Return Date
5. Save
6. Check on patron's screen - boraccount.pl or pay.pl depending on which or both tables you attempted to hide the return date- see that the return date is still appearing. 

I have filed another bug similar to this 24515 dealing with these same tables.
Comment 1 Lucas Gass 2020-01-27 19:21:46 UTC
I cannot reproduce this in master now. I believe the problem was solved by bz24515.
Comment 2 Jonathan Druart 2020-02-03 16:32:39 UTC
Created attachment 98351 [details] [review]
Bug 24516: Add account_type to the columns settings on boraccount

The column was missing from the yml file.
Comment 3 David Nind 2020-02-03 20:31:12 UTC
Created attachment 98357 [details] [review]
Bug 24516: Add account_type to the columns settings on boraccount

The column was missing from the yml file.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2020-02-03 20:32:28 UTC
(In reply to Lucas Gass from comment #1)
> I cannot reproduce this in master now. I believe the problem was solved by
> bz24515.

I was able to reproduce on master.
Comment 5 Katrin Fischer 2020-02-09 10:41:11 UTC
(In reply to Lucas Gass from comment #1)
> I cannot reproduce this in master now. I believe the problem was solved by
> bz24515.

I think the problem here is that it works on one tab, but not the other:
- Make a payment = OK
- Transaction = Not OK
Comment 6 Katrin Fischer 2020-02-09 10:42:46 UTC
Created attachment 98614 [details] [review]
Bug 24516: Add account_type to the columns settings on boraccount

The column was missing from the yml file.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2020-02-10 09:23:41 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-03-05 00:39:01 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 9 Lucas Gass 2020-03-09 19:18:38 UTC
backported to 19.05.x for 19.05.09